header {
  top: 0;
  position: fixed;
  width: 100%;
  z-index: 3;
  box-shadow: 0.1rem 0.1rem rgba(0, 0, 0, 0.2);
}

header p {
  margin: 0;
}

header section {
  overflow: auto;
}

header section > a {
  float: left;
  display: block;
  text-indent: -9999px;
  background-image: url(/wp-content/themes/cicada/assets/img/logotype.svg) !important;
  background-repeat: no-repeat;
  background-size: contain;
  height: calc(var(--height-header) - 2rem);
  width: var(--width-logo);
}
header ul {
  text-align: center;
}

header li {
  display: inline-block;
}

header li a:visited,
header li a {
  text-transform: uppercase;
  color: var(--color-text);
  text-decoration: none;
  display: block;
  padding: 0 calc(var(--spacing-horizontal) / 2);
}

@media (min-width: 45rem) {
  header {
    box-shadow: unset;
    min-height: 8rem;
    position: relative;
  }
  header ul {
    text-align: right;
  }
  header li {
    margin-top: 0;
  }
  header section {
    overflow: auto;
  }
}

header {
  padding-top: var(--height-top-bar);
}

footer {
  padding-top: 0;
  padding-bottom: var(--height-top-bar);
}

footer > section,
header > section {
  background-color: var(--color-background);
}

.flag {
  float: right;
  line-height: calc(var(--spacing-vertical) * 1.5);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: right;
  overflow: hidden;
  padding-right: calc(var(--spacing-vertical) * 3);
  text-decoration: none;
  color: var(--color-text);
}

.flag--en {
  background-image: url(../img/flag-en.svg);
}

.flag--kh {
  background-image: url(../img/flag-kh.svg);
}

.flag:hover {
  text-decoration: underline;
}